Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
forumedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $error = new eZINI( "kernel/ezforum/admin/intl/" . $Language . "/forumedit.php.ini", false )
if(isset( $DeleteForums)) if( $Action=="insert") if( $Action=="update") if( $Action=="delete") if( $Action=="DeleteForums") | $t
| $languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/forumedit.php.ini", false )
| $headline = $languageIni->variable( "strings", "head_line_insert" )
| $action_value = "update"
if( $Action=="edit") | $category = new eZForumCategory()
| $categoryList = $category->getAll()
foreach( $categoryList as $categoryItem) | $userList = eZUser::getAll()
| $group = new eZUserGroup()
| $groupList = $group->getAll()
| $noModeratorString = $t->Ini->variable( "strings", "no_moderator" )
if( $forum) | else

## Variable Documentation

## ◆ $action_value

$action_value = "update"

Definition at line 235 of file forumedit.php.

## ◆ $category

if ($Action=="edit") $category = new eZForumCategory()

Definition at line 302 of file forumedit.php.

## ◆ $categoryList

$categoryList = $category->getAll()

Definition at line 303 of file forumedit.php.

## ◆ $error

$error = new eZINI( "kernel/ezforum/admin/intl/" . $Language . "/forumedit.php.ini", false )

Definition at line 33 of file forumedit.php.

## ◆ $group

foreach ($groupList as $groupItem) $group = new eZUserGroup()

Definition at line 328 of file forumedit.php.

## ◆ $groupList

$groupList = $group->getAll()

Definition at line 329 of file forumedit.php.

## ◆ $headline

$headline = $languageIni->variable( "strings", "head_line_insert" )

Definition at line 231 of file forumedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 30 of file forumedit.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 32 of file forumedit.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/forumedit.php.ini", false )

Definition at line 230 of file forumedit.php.

## ◆ $noModeratorString

$noModeratorString = $t->Ini->variable( "strings", "no_moderator" )

Definition at line 333 of file forumedit.php.

## ◆ $t

if (isset($DeleteForums)) if ($Action=="insert") if ($Action=="update") if ($Action=="delete") if ($Action=="DeleteForums") $t

Initial value:
= new eZTemplate( "kernel/ezforum/admin/" . $ini->variable( "eZForumMain", "AdminTemplateDir" ),
"kernel/ezforum/admin/" . "/intl", $Language, "forumedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: forumedit.php:32
$ini
$ini
Definition: forumedit.php:30

Definition at line 220 of file forumedit.php.

## ◆ $userList

foreach ($categoryList as $categoryItem) $userList = eZUser::getAll()

Definition at line 326 of file forumedit.php.

## ◆ else

if ($forum) else

Initial value:
{
$moderator = 0

Definition at line 342 of file forumedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.